Bug 834571 - hardcoded /bin and /sbin is wrong after UsrMove
Summary: hardcoded /bin and /sbin is wrong after UsrMove
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bash
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Roman Rakus
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-22 13:12 UTC by Harald Reindl
Modified: 2014-01-13 00:14 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-28 03:42:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Harald Reindl 2012-06-22 13:12:07 UTC
this is caused by having "Provides: ldconfig" in glibc
and still having /sbin in PATH

https://bugzilla.redhat.com/show_bug.cgi?id=834209
https://bugzilla.redhat.com/show_bug.cgi?id=829197

Comment 1 Roman Rakus 2012-06-22 15:28:10 UTC
What's wrong in bash?

Comment 2 Harald Reindl 2012-06-22 19:27:17 UTC
/bin and /sbin has to be removed from the PATH
there is nothing in this folders

so /usr/bin and /usr/sbin are the path's to go

Comment 3 Roman Rakus 2012-06-23 13:47:03 UTC
The DEFAULT_PATH_VALUE in bash (/usr/local/bin:/bin:/usr/bin) is used only if the PATH env variable is not set.
There weren't any complains about the value, but after UsrMove I can understand that /bin is wrong, so I will just remove /bin.

Comment 4 Fedora Update System 2012-06-23 14:33:18 UTC
bash-4.2.29-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/bash-4.2.29-2.fc17

Comment 5 Harald Reindl 2012-06-24 00:11:17 UTC
i do not see this changed
(yes this is a new ssh session after update)

from where comes "/sbin:/bin" in $PATH below?

______________

[root@srv-rhsoft:~]$ rpm -q bash
bash-4.2.29-2.fc17.x86_64

[root@srv-rhsoft:~]$ echo $PATH
/usr/lib64/qt-3.3/bin:/usr/NX/bin:/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:/root/bin:/scripts

[root@srv-rhsoft:~]$ cat ~/.bash* | grep /bin/
stat /usr/bin/ffmpeg 
yum provides /usr/bin/cur
yum search /bin/cur
yum install /bin/cur
yum install /usr/bin/cur
yum provides /bin/bash
yum provides /bin/cur
cat /usr/local/bin/dbmail-cleanup
cat  bashrc | grep /bin/
cat profile.d/* | grep /bin/

[root@srv-rhsoft:~]$ cat /etc/profile | grep /bin/
if [ -x /usr/bin/id ]; then
HOSTNAME=`/bin/hostname 2>/dev/null`

[root@srv-rhsoft:~]$ cat /etc/bashrc | grep /bin/

Comment 6 Roman Rakus 2012-06-25 07:27:21 UTC
But your report is about hardcoded PATH value. The hardcoded PATH value in bash is used if and only if PATH env variable is unset.

Comment 7 Fedora Update System 2012-06-26 00:29:18 UTC
Package bash-4.2.29-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bash-4.2.29-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9833/bash-4.2.29-2.fc17
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2012-06-28 03:42:24 UTC
bash-4.2.29-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.